Name:           python-ethtool
Version:        0.14
Release:        5
Summary:        Python bindings for the ethtool kernel interface

License:        GPLv2
URL:            https://pypi.org/project/ethtool/
Source0:        https://files.pythonhosted.org/packages/81/41/e6cb9026374771e3bdb4c0fe8ac0c51c693a14b4f72f26275da15f7a4d8b/ethtool-%{version}.tar.gz

Patch9000:      disable-test_show_coalesce_eth-in-VM.patch
BuildRequires:  python2-devel python3-devel python2-setuptools
BuildRequires:  gcc libnl3-devel python3-setuptools net-tools

%description
Python bindings for the ethtool kernel interface. The Python ethtool
module allows querying and partially controlling network interfaces,
driver, and hardware settings.

%package -n     python2-ethtool
Summary:        Python 2 bindings for the ethtool kernel interface
%{?python_provide:%python_provide python2-ethtool}

%description -n python2-ethtool
Python 2 bindings for the ethtool kernel interface. The Python ethtool
module allows querying and partially controlling network interfaces,
driver, and hardware settings.

%package -n     python3-ethtool
Summary:        Python 3 bindings for the ethtool kernel interface
%{?python_provide:%python_provide python3-ethtool}

%description -n python3-ethtool
Python 3 bindings for the ethtool kernel interface. The Python ethtool
module allows querying and partially controlling network interfaces,
driver, and hardware settings.

%package_help

%prep
%autosetup -n ethtool-%{version} -p1
rm -rf ethtool.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd  %{py3dir}
%py3_build
popd

%install
%py2_install
rm %{buildroot}%{_bindir}/pifconfig
rm %{buildroot}%{_bindir}/pethtool

pushd %{py3dir}
%py3_install
install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/pethtool %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/pifconfig %{buildroot}%{_sbindir}
popd

install -d %{buildroot}%{_mandir}/man8/
install -p man/*.8.* %{buildroot}%{_mandir}/man8/
rm -rf tests/test_scripts.py

%check
export PYTHONPATH=%{buildroot}%{python2_sitearch}
%{__python2} tests/parse_ifconfig.py -v
%{__python2}  -m unittest discover -v

pushd %{py3dir}
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3}  -m unittest discover -v
popd

%files -n python2-ethtool
%doc README.rst
%license COPYING
%{python2_sitearch}/ethtool.so
%{python2_sitearch}/ethtool-0.14-py?.?.egg-info

%files -n python3-ethtool
%doc README.rst
%license COPYING
%{python3_sitearch}/ethtool.cpython-37m-*
%{python3_sitearch}/ethtool-0.14-py?.?.egg-info
%{_sbindir}/pethtool
%{_sbindir}/pifconfig

%files help
%doc CHANGES.rst
%doc %{_mandir}/man*

%changelog
* Thu Feb 18 2021 jinzhimin <jinzhimin2@huawei.com> - 0.14-5
- enable test

* Thu Feb 18 2021 jinzhimin <jinzhimin2@huawei.com> - 0.14-4
- disable test_show_coalesce_eth in VM

* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 0.14-3
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Thu Nov 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.14-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:Modify the file name for x86

* Wed Sep 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.14-1
- Package Init
